Overview
GET/persona/personas/{id}persona

Get personas by id

Fetch a record from personas by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

personas

  • idstring
  • userIdstring?
  • ownerKindstring
  • ownerIdstring
  • slugstring
  • namestring
  • descriptionstring?
  • visibilitystring
  • modelstring
  • serviceIdstring?
  • appIdstring?
  • avatarAttachmentIdstring?
  • modelPromptstring
  • voicestring?
  • characterstring?
  • examplesstring?
  • createdAtstring
  • updatedAtstring
  • ownedEcosystemIdoptionalstring?
Example
{
  "id": "string",
  "userId": "string",
  "ownerKind": "string",
  "ownerId": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "visibility": "string",
  "model": "string",
  "serviceId": "string",
  "appId": "string",
  "avatarAttachmentId": "string",
  "modelPrompt": "string",
  "voice": "string",
  "character": "string",
  "examples": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "ownedEcosystemId": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/personas/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/personas/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();